# Generated by Django 3.2.3 on 2021-06-01 18:39

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='autores',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=100, verbose_name='Nombre')),
                ('apellido', models.CharField(max_length=100, verbose_name='Apellido')),
                ('nacionalidad', models.CharField(max_length=20)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='cliente',
            fields=[
                ('nombre', models.CharField(max_length=100, verbose_name='Nombre')),
                ('apellido', models.CharField(max_length=100, verbose_name='Apellido')),
                ('nacionalidad', models.CharField(max_length=20)),
                ('rut', models.CharField(max_length=15, primary_key=True, serialize=False, verbose_name='Rut')),
                ('direccion', models.TextField(blank=True, max_length=200, verbose_name='Dirección')),
                ('telefono', models.CharField(max_length=10, verbose_name='Teléfono')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Libros',
            fields=[
                ('isbn', models.CharField(max_length=7, primary_key=True, serialize=False, verbose_name='ISBN')),
                ('titulo', models.CharField(max_length=100, null=True, verbose_name='Titulo')),
                ('autor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='home.autores')),
            ],
        ),
    ]
